## org.eclipse.xsd
Enum XSDDisallowedSubstitutions

    java.lang.Object
      java.lang.Enum<XSDDisallowedSubstitutions>
          org.eclipse.xsd.XSDDisallowedSubstitutions

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDDisallowedSubstitutions>, Enumerator

    public enum XSDDisallowedSubstitutions

extends java.lang.Enum<XSDDisallowedSubstitutions>
implements Enumerator

A representation of the literals of the enumeration 'Disallowed Substitutions'.

See Also:
  `XSDElementDeclaration.getDisallowedSubstitutions()`, `XSDElementDeclaration.getBlock()`, `XSDSchema.getBlockDefault()`, `XSDPackage.getXSDDisallowedSubstitutions()`

Enum Constant Summary
`ALL_LITERAL` The 'All' literal object
`EXTENSION_LITERAL` The 'Extension' literal object
`RESTRICTION_LITERAL` The 'Restriction' literal object
`SUBSTITUTION_LITERAL` The 'Substitution' literal object

Field Summary
`static int` `ALL` The 'All' literal value
`static int` `EXTENSION` The 'Extension' literal value
`static int` `RESTRICTION` The 'Restriction' literal value
`static int` `SUBSTITUTION` The 'Substitution' literal value
`static java.util.List<XSDDisallowedSubstitutions>` `VALUES` A public read-only list of all the 'Disallowed Substitutions' enumerators

Method Summary
`static XSDDisallowedSubstitutions` `get(int value)` Returns the 'Disallowed Substitutions' literal with the specified integer value
`static XSDDisallowedSubstitutions` `get(java.lang.String literal)` Returns the 'Disallowed Substitutions' literal with the specified literal value
`static XSDDisallowedSubstitutions` `getByName(java.lang.String name)` Returns the 'Disallowed Substitutions' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDDisallowedSubstitutions` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDDisallowedSubstitutions[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUBSTITUTION_LITERAL

    public static final XSDDisallowedSubstitutions SUBSTITUTION_LITERAL

  The 'Substitution' literal object.

  See Also:
    `SUBSTITUTION`

### EXTENSION_LITERAL

    public static final XSDDisallowedSubstitutions EXTENSION_LITERAL

  The 'Extension' literal object.

  See Also:
    `EXTENSION`

### RESTRICTION_LITERAL

    public static final XSDDisallowedSubstitutions RESTRICTION_LITERAL

  The 'Restriction' literal object.

  See Also:
    `RESTRICTION`

### ALL_LITERAL

    public static final XSDDisallowedSubstitutions ALL_LITERAL

  The 'All' literal object.

  See Also:
    `ALL`

Field Detail

### SUBSTITUTION

    public static final int SUBSTITUTION

  The 'Substitution' literal value.

  This is used to indicate that no element declaration may be substituted, i.e., no substitution is permitted even for an element declaration with the same type.

  See Also:
    `SUBSTITUTION_LITERAL`, Constant Field Values

### EXTENSION

    public static final int EXTENSION

  The 'Extension' literal value.

  This is used to indicate that an element declaration with a type definition derived via extension may not be substituted.

  See Also:
    `EXTENSION_LITERAL`, Constant Field Values

### RESTRICTION

    public static final int RESTRICTION

  The 'Restriction' literal value.

  This is used to indicate that an element declaration with a type definition derived via restriction may not be substituted.

  See Also:
    `RESTRICTION_LITERAL`, Constant Field Values

### ALL

    public static final int ALL

  The 'All' literal value.

  This is used to indicate that an element declaration with a derived type definition may not be substituted. It is literally expanded to extension and restriction in the infoset model.

  See Also:
    `ALL_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDDisallowedSubstitutions> VALUES

  A public read-only list of all the 'Disallowed Substitutions' enumerators.

Method Detail

### values

    public static final XSDDisallowedSubstitutions[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDDisallowedSubstitutions c : XSDDisallowedSubstitutions.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDDisallowedSubstitutions valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDDisallowedSubstitutions get(java.lang.String literal)

  Returns the 'Disallowed Substitutions' literal with the specified literal value.

### getByName

    public static XSDDisallowedSubstitutions getByName(java.lang.String name)

  Returns the 'Disallowed Substitutions' literal with the specified name.

### get

    public static XSDDisallowedSubstitutions get(int value)

  Returns the 'Disallowed Substitutions' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDDisallowedSubstitutions>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.